<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionVehicleBuoyantPoint Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d0c/a07269.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionVehicleBuoyantPoint Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionVehicleBuoyantPoint:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d5/d0c/a07269.png" usemap="#ExpansionVehicleBuoyantPoint_map" alt=""/>
  <map id="ExpansionVehicleBuoyantPoint_map" name="ExpansionVehicleBuoyantPoint_map">
<area href="../../d3/dcf/a07313.html" alt="ExpansionVehicleModule" shape="rect" coords="0,0,187,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ab8ef1b53d4e513189a0e022785b8747a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0c/a07269.html#ab8ef1b53d4e513189a0e022785b8747a">ExpansionVehicleBuoyantPoint</a> (EntityAI vehicle, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> rootPath)</td></tr>
<tr class="separator:ab8ef1b53d4e513189a0e022785b8747a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af341da7bac7a2f6ef48329fb45344bf1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0c/a07269.html#af341da7bac7a2f6ef48329fb45344bf1">PreSimulate</a> (<a class="el" href="../../de/d7c/a07221.html">ExpansionPhysicsState</a> pState)</td></tr>
<tr class="separator:af341da7bac7a2f6ef48329fb45344bf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac43018f179e14944108368d9357f3f7d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0c/a07269.html#ac43018f179e14944108368d9357f3f7d">Simulate</a> (<a class="el" href="../../de/d7c/a07221.html">ExpansionPhysicsState</a> pState)</td></tr>
<tr class="separator:ac43018f179e14944108368d9357f3f7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7fe304250762602cbd964b077482bc0a"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0c/a07269.html#a7fe304250762602cbd964b077482bc0a">m_Depth</a></td></tr>
<tr class="separator:a7fe304250762602cbd964b077482bc0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b3012f4094aeeee9c1693ad9e859835"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0c/a07269.html#a3b3012f4094aeeee9c1693ad9e859835">m_Velocity</a></td></tr>
<tr class="separator:a3b3012f4094aeeee9c1693ad9e859835"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d7/d13/a02873.html">ExpansionVehicleBuoyantPoint.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a02873_source.html#l00013">13</a> of file <a class="el" href="../../d7/d13/a02873_source.html">expansionvehiclebuoyantpoint.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab8ef1b53d4e513189a0e022785b8747a" name="ab8ef1b53d4e513189a0e022785b8747a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8ef1b53d4e513189a0e022785b8747a">&#9670;&#160;</a></span>ExpansionVehicleBuoyantPoint()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionVehicleBuoyantPoint::ExpansionVehicleBuoyantPoint </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>vehicle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>rootPath</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a02873_source.html#l00018">18</a> of file <a class="el" href="../../d7/d13/a02873_source.html">expansionvehiclebuoyantpoint.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af341da7bac7a2f6ef48329fb45344bf1" name="af341da7bac7a2f6ef48329fb45344bf1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af341da7bac7a2f6ef48329fb45344bf1">&#9670;&#160;</a></span>PreSimulate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionVehicleBuoyantPoint::PreSimulate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7c/a07221.html">ExpansionPhysicsState</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a02873_source.html#l00036">36</a> of file <a class="el" href="../../d7/d13/a02873_source.html">expansionvehiclebuoyantpoint.c</a>.</p>

</div>
</div>
<a id="ac43018f179e14944108368d9357f3f7d" name="ac43018f179e14944108368d9357f3f7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac43018f179e14944108368d9357f3f7d">&#9670;&#160;</a></span>Simulate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionVehicleBuoyantPoint::Simulate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7c/a07221.html">ExpansionPhysicsState</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a02873_source.html#l00042">42</a> of file <a class="el" href="../../d7/d13/a02873_source.html">expansionvehiclebuoyantpoint.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a7fe304250762602cbd964b077482bc0a" name="a7fe304250762602cbd964b077482bc0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fe304250762602cbd964b077482bc0a">&#9670;&#160;</a></span>m_Depth</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionVehicleBuoyantPoint::m_Depth</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a02873_source.html#l00015">15</a> of file <a class="el" href="../../d7/d13/a02873_source.html">expansionvehiclebuoyantpoint.c</a>.</p>

</div>
</div>
<a id="a3b3012f4094aeeee9c1693ad9e859835" name="a3b3012f4094aeeee9c1693ad9e859835"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b3012f4094aeeee9c1693ad9e859835">&#9670;&#160;</a></span>m_Velocity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector ExpansionVehicleBuoyantPoint::m_Velocity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a02873_source.html#l00016">16</a> of file <a class="el" href="../../d7/d13/a02873_source.html">expansionvehiclebuoyantpoint.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/vehicles/modules/<a class="el" href="../../d7/d13/a02873_source.html">expansionvehiclebuoyantpoint.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/d0c/a07269.html">ExpansionVehicleBuoyantPoint</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
